# Get all Plans

Endpoint:\
Request: GET /masters/plans?billerId=HUNG00000NATJL\&category=Music\&page=0\&pagesize=10

#### Request body

<table><thead><tr><th width="236">Parent Property/Element</th><th width="231">Property/Element Name</th><th width="124">Mandatory</th><th width="148">Data Type</th><th width="340">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>billerId</td><td>M</td><td>Alphanumeric</td><td>Fixed Length – 14</td></tr><tr><td></td><td>category</td><td>C</td><td>String</td><td>Category of the Plan</td></tr><tr><td></td><td>amountInRupees</td><td>C</td><td>String</td><td>Amount of the Plan</td></tr><tr><td></td><td>circle</td><td>C</td><td>String</td><td>Circle of the Plan</td></tr><tr><td></td><td>page</td><td>C</td><td>Numeric</td><td>Page number for API Response Pagination</td></tr><tr><td></td><td>pagesize</td><td>C</td><td>Numeric</td><td>Page Size for API Response Pagination</td></tr></tbody></table>

#### Response body

<table><thead><tr><th width="243">Parent Property/Element</th><th width="222">Property/Element Name</th><th>Mandatory</th><th>Data Type</th><th width="294">Description</th></tr></thead><tbody><tr><td>plans</td><td>planId</td><td>M</td><td>String</td><td>A unique id to identify the plans</td></tr><tr><td></td><td>description</td><td>M</td><td>String</td><td>Description of the plan</td></tr><tr><td></td><td>billerId</td><td>M</td><td>String</td><td>Biller id of fixed lenght</td></tr><tr><td></td><td>categoryType</td><td>M</td><td>String</td><td>Category type of biller</td></tr><tr><td></td><td>categorySubType</td><td>M</td><td>String</td><td>Category sub type of biller</td></tr><tr><td></td><td>amountInRupees</td><td>M</td><td>String</td><td>Amount in rupees. eg: "100"</td></tr><tr><td></td><td>effctvFrom</td><td>M</td><td>String</td><td>Effective from date</td></tr><tr><td></td><td>effctvTo</td><td>M</td><td>String</td><td>Effective to date</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>It is either “Success” or failure</td></tr><tr><td>additionalInfo</td><td>planAdditionalInfoId</td><td>M</td><td>UUID</td><td>Plan additional info id</td></tr><tr><td></td><td>tags</td><td>M</td><td>List</td><td>Will be a list of additional ifos Eg: { "tagId":"d55aa58e-bf83-4273-80ee- 7bc8e7c4f1a2", "name": "Package Duration", "value": "1 Month" }</td></tr><tr><td>[ROOT](No parent property / element)</td><td>pageNo</td><td>M</td><td>Numeric</td><td>Page number for API Response Pagination</td></tr><tr><td></td><td>pageSize</td><td>M</td><td>Numeric</td><td>Page Size for API Response Pagination</td></tr><tr><td></td><td>totalElements</td><td>M</td><td>Numeric</td><td>Total elements</td></tr><tr><td></td><td>totalPages</td><td>M</td><td>Numeric</td><td>Total number of pages</td></tr><tr><td>generalResp</td><td>statusCode</td><td>M</td><td>Numeric</td><td>200- SUCCESS Other than 200-Failure</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>It is either “Success” or failure</td></tr><tr><td></td><td>message</td><td>M</td><td>String</td><td>Contains the reason message for failure / success</td></tr><tr><td></td><td>remarks</td><td>C</td><td>String</td><td>Remark</td></tr></tbody></table>

#### Response body

```json
{
    "plansList": {
        "plans": [
            {
                "planId": "2862",
                "description": "Listen trending & popular Music, download songs, create your own playlist!",
                "billerId": "HUNG00000NATJL",
                "categoryType": "Music",
                "categorySubType": [],
                "amountInRupees": 99,
                "additionalInfo": {
                    "planAdditionalInfoId": "cca72e87-e994-4409-87cb-a25b2a4598ba",
                    "tags": [
                        {
                            "tagId": "d55aa58e-bf83-4273-80ee-7bc8e7c4f1a2",
                            "name": "Package Duration",
                            "value": "1 Month"
                        }
                    ]
                },
                "effctvFrom": "2021-10-26",
                "effctvTo": "2022-10-26",
                "status": "ACTIVE"
            },
            {
                "planId": "2863",
                "description": "Listen trending & popular Music, download songs, create your own playlist!",
                "billerId": "HUNG00000NATJL",
                "categoryType": "Music",
                "categorySubType": [],
                "amountInRupees": 499,
                "additionalInfo": {
                    "planAdditionalInfoId": "cd5fb9d3-afc6-488f-a354-863241d0fae3",
                    "tags": [
                        {
                            "tagId": "ccf2d727-5081-46d4-9ff1-58caae26894a",
                            "name": "Package Duration",
                            "value": "12 Months"
                        }
                    ]
                },
                "effctvFrom": "2021-10-26",
                "effctvTo": "2022-10-26",
                "status": "ACTIVE"
            }
        ]
    },
    "generalResp": {
        "statusCode": "200",
        "status": "success",
        "message": "Plans retrieved successfully",
        "remarks": ""
    },
    "pageNo": 0,
    "pageSize": 10,
    "totalElements": 2,
    "totalPages": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/get-all-plans.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
